Get user PnL
curl --request GET \
--url https://api.kamino.finance/v2/strategies/{strategyPubkey}/shareholders/{walletPubkey}/pnlconst options = {method: 'GET'};
fetch('https://api.kamino.finance/v2/strategies/{strategyPubkey}/shareholders/{walletPubkey}/pnl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/v2/strategies/{strategyPubkey}/shareholders/{walletPubkey}/pnl"
response = requests.get(url)
print(response.text)false{
"totalPnl": {
"usd": "0.123",
"sol": "0.123",
"a": "0.123",
"b": "0.123"
},
"totalCostBasis": {
"usd": "0.123",
"sol": "0.123",
"a": "0.123",
"b": "0.123"
}
}{
"error": "Invalid query params",
"details": [
{}
]
}{
"error": "An internal error occurred"
}User Data
Get user PnL
Get current profit and loss for a user position in a specific strategy.
GET
/
v2
/
strategies
/
{strategyPubkey}
/
shareholders
/
{walletPubkey}
/
pnl
Get user PnL
curl --request GET \
--url https://api.kamino.finance/v2/strategies/{strategyPubkey}/shareholders/{walletPubkey}/pnlconst options = {method: 'GET'};
fetch('https://api.kamino.finance/v2/strategies/{strategyPubkey}/shareholders/{walletPubkey}/pnl', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.kamino.finance/v2/strategies/{strategyPubkey}/shareholders/{walletPubkey}/pnl"
response = requests.get(url)
print(response.text)false{
"totalPnl": {
"usd": "0.123",
"sol": "0.123",
"a": "0.123",
"b": "0.123"
},
"totalCostBasis": {
"usd": "0.123",
"sol": "0.123",
"a": "0.123",
"b": "0.123"
}
}{
"error": "Invalid query params",
"details": [
{}
]
}{
"error": "An internal error occurred"
}Path Parameters
Public key of the strategy
Example:
"3VXtabCgrd3RYuHa6HisufMfiE4aUk84Hu5quDFhqECD"
Wallet address of the user
Example:
"AcNSmd5CxwLs21TYUmhWt7CW2v159TdYRkvQxb1iBYRj"
Query Parameters
Solana cluster environment. Defaults to mainnet-beta.
Example:
"mainnet-beta"